classification
Title: Wrong documented default value for timefunc parameter in sched.scheduler()
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Ramchandra Apte, docs@python, giampaolo.rodola, python-dev, serhiy.storchaka, terry.reedy, vstinner
Priority: normal Keywords: easy, patch

Created on 2012-12-08 10:59 by serhiy.storchaka, last changed 2013-03-09 07:43 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
issue16643.patch Ramchandra Apte, 2013-02-03 12:18 review
Messages (5)
msg177155 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-08 10:59
sched.scheduler() prefers to use time.monotonic as a default value for timefunc parameter, and time.time used only as a fallback. But time.time documented as a default value.
msg181264 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-02-03 12:18
Here's a patch.
msg183802 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-03-09 07:26
New changeset ca56baa46d35 by Terry Jan Reedy in branch 'default':
Merge: closes issue 16643 (not ....2 as in last commit message)
http://hg.python.org/cpython/rev/ca56baa46d35
msg183803 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-09 07:28
3.3 was changed also, but with misdirected message
msg183806 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-09 07:43
I guess I should have taken the assignment before pushing ;-)
History
Date User Action Args
2013-03-09 07:43:02terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg183806

stage: patch review -> resolved
2013-03-09 07:28:41terry.reedysetstatus: closed -> open

assignee: docs@python -> terry.reedy

nosy: + terry.reedy
messages: + msg183803
resolution: fixed -> (no value)
stage: resolved -> patch review
2013-03-09 07:26:50python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg183802

resolution: fixed
stage: patch review -> resolved
2013-02-03 12:38:28serhiy.storchakasetstage: needs patch -> patch review
2013-02-03 12:18:14Ramchandra Aptesetfiles: + issue16643.patch

nosy: + Ramchandra Apte
messages: + msg181264

keywords: + patch
2013-01-15 18:27:47serhiy.storchakasetkeywords: + easy
2012-12-08 10:59:41serhiy.storchakacreate